use crate::{Context, Error};

mod eurosport;
mod f1;
mod viaplay;
mod wrc;

#[derive(Debug, poise::ChoiceParameter)]
pub enum Timeframe {
    #[name = "Currently happening"]
    Current,
    #[name = "Currently happening or starting in the future"]
    Future,
    #[name = "Currently happening or already ended"]
    Past,
    #[name = "Everything"]
    Everything,
}

// #[derive(Debug, poise::ChoiceParameter)]
// pub enum Source {
//     #[name = "Get links for the Eurosport player"]
//     Eurosport,
//     // #[name = "Get links for the apocalympics Eurosport player"]
//     // Olympics,
//     #[name = "Get WRC links for the WRC player"]
//     WRC,
//     #[name = "Get Viaplay links for the Viaplay player"]
//     Viaplay,
//     // #[name = "F1 content for the weekend"]
//     // F1,
// }

/// Get links for high tier commands.
// #[poise::command(slash_command)]
// pub async fn links2(
//     ctx: Context<'_>,
//     #[description = "Where to git the juicy links from?"] source: Source,
//     #[description = "Filter sessions for when they are/were happening, defaults to future"]
//     timeframe: Option<Timeframe>,
//     #[description = "Content to filter on"] filter: Option<String>,
// ) -> Result<(), Error> {
//     if !utils::high_tier(ctx).await {
//         ctx.say("This command can only be used in high tier channels for security")
//             .await?;
//         return Ok(());
//     }

//     match source {
//         Source::Eurosport => eurosport::proc_eurosport(ctx, timeframe, filter).await,
//         // Source::Olympics => eurosport::proc_olympics(ctx, timeframe, filter).await,
//         Source::WRC => wrc::wrc(ctx).await,
//         Source::Viaplay => viaplay::viaplay(ctx, timeframe, filter).await,
//         // Source::F1 => f1::proc_f1(ctx, timeframe, filter).await,
//     }

//     // Ok(())
// }

#[poise::command(
    slash_command,
    subcommands("viaplay::viaplay", "eurosport::eurosport", "wrc::wrc", "f1::f1")
)]
pub async fn links(ctx: Context<'_>) -> Result<(), Error> {
    ctx.say("Hello there!").await?;
    Ok(())
}
